Name:          liblzf
Version:       3.6
Release:       1mamba
Summary:       A very small data compression library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://software.schmorp.de/pkg/liblzf.html
Source:        http://dist.schmorp.de/liblzf/liblzf-%{version}.tar.gz
Patch0:        liblzf-3.6-autoconf.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
A very small data compression library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Archiving
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q
%patch 0 -p1 -b .autoconf
sh ./bootstrap.sh
  
%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/liblzf.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/lzf.h
%{_includedir}/lzfP.h
%{_libdir}/liblzf.a
%{_libdir}/liblzf.so
%{_libdir}/pkgconfig/liblzf.pc
%doc README

%files tools
%defattr(-,root,root)
%{_bindir}/lzf

%changelog
* Wed Aug 30 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6-1mamba
- package created using the webbuild interface
